Commits

godane committed d646706 Merge

Merge stable.

Comments (0)

Files changed (618)

 2ac4fc760d5c5641ead8368dcdda9b11ba6737c7 1.0
 cf71613b81e79b95188de5ca9a64174b660186f2 2.0
 ab092d8a7a8ba18ac7814d1e8ce634d50b68b653 3.0
+7247d5bc52d2805322601cbd5d3abe001159ffab 4.0
 WGET_URL="http://cran.cict.fr/src/base/R-2/$TARBALL"
 
 DEPENDS="libgfortran readline libgomp bzlib midori epdfview"
-BUILD_DEPENDS="$DEPENDS gfortran readline-dev bzip2-dev"
+BUILD_DEPENDS="$DEPENDS xorg-dev gfortran readline-dev bzip2-dev"
 
 # Rules to configure and make the package.
 compile_rules()
 # SliTaz package receipt.
 
 PACKAGE="abiword"
-VERSION="2.9.2"
+VERSION="2.8.6"
 CATEGORY="office"
 SHORT_DESC="Light and speed word processing application."
 MAINTAINER="pankso@slitaz.org"
-DEPENDS="gtk+3 libgnomeprint libgnomeprintui libgnomecanvas fribidi libglade \
+DEPENDS="gtk+ libgnomeprint libgnomeprintui libgnomecanvas fribidi libglade \
 popt libxml2 libart_lgpl libgsf libgio enchant wv xorg-libXdamage gcc-lib-base librsvg \
 goffice glibc-locale"
-BUILD_DEPENDS="$DEPENDS gtk+3-dev libgnomeprint-dev libgnomeprintui-dev \
+BUILD_DEPENDS="$DEPENDS gtk+-dev libgnomeprint-dev libgnomeprintui-dev \
 fribidi-dev libglade-dev popt-dev libxml2-dev libart_lgpl-dev libgsf-dev \
 enchant-dev wv-dev libgnomecanvas-dev libcroco-dev libboost-dev libboost-math-dev librsvg-dev"
 SUGGESTED="abiword-extras"
 compile_rules()
 {
 	cd $src
-	sed -i 's|glib\/gmacros.h|glib.h|g' goffice-bits/goffice/app/goffice-app.h
-	sed -i 's|glib\/gmacros.h|glib.h|g' goffice-bits2/goffice/app/goffice-app.h
-	sed -i 's|glib\/gerror.h|glib.h|g' src/af/util/xp/ut_go_file.h
-	patch -Np1 -i $stuff/abiword-libpng15.diff
+	patch -Np1 -i $stuff/abiword-gcc46.patch
+	patch -Np0 -i $stuff/abiword-2.8.6-libpng15.patch
+	libtoolize --force
+	autoreconf
 	./configure \
 		--prefix=/usr \
 		--infodir=/usr/share/info \

abiword/stuff/abiword-2.8.6-libpng15.patch

+$NetBSD: patch-plugins_bmp_xp_ie__impGraphic__BMP.cpp,v 1.1 2011/02/01 10:48:15 wiz Exp $
+
+Fix build with png-1.5.
+
+--- plugins/bmp/xp/ie_impGraphic_BMP.cpp.orig	2009-06-25 04:02:06.000000000 +0000
++++ plugins/bmp/xp/ie_impGraphic_BMP.cpp
+@@ -191,7 +191,10 @@ UT_Error IE_ImpGraphic_BMP::_convertGrap
+ 
+	/* Clean Up Memory Used */
+ 		
+-	FREEP(m_pPNGInfo->palette);
++	png_colorp palette;
++	int num_palette;
++	png_get_PLTE( m_pPNG, m_pPNGInfo, &palette, &num_palette );
++	FREEP(palette);
+	DELETEP(pBB);
+	png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+    
+@@ -313,7 +316,7 @@ UT_Error IE_ImpGraphic_BMP::Initialize_P
+	 * the normal method of doing things with libpng).  REQUIRED unless you
+	 * set up your own error handlers in the png_create_read_struct() earlier.
+	 */
+-	if (setjmp(m_pPNG->jmpbuf))
++	if (setjmp(png_jmpbuf(m_pPNG)))
+	{
+		/* Free all of the memory associated with the png_ptr and info_ptr */
+		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+@@ -332,7 +335,7 @@ UT_Error IE_ImpGraphic_BMP::Initialize_P
+	UT_Error IE_ImpGraphic_BMP::Convert_BMP_Pallet(UT_ByteBuf* pBB)
+	{
+		/* Reset error handling for libpng */
+-		if (setjmp(m_pPNG->jmpbuf))
++		if (setjmp(png_jmpbuf(m_pPNG)))
+		{
+			png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+			return UT_ERROR;
+@@ -372,7 +375,7 @@ UT_Error IE_ImpGraphic_BMP::Initialize_P
+ UT_Error IE_ImpGraphic_BMP::Convert_BMP(UT_ByteBuf* pBB)
+ {
+	/* Reset error handling for libpng */
+-	if (setjmp(m_pPNG->jmpbuf))
++	if (setjmp(png_jmpbuf(m_pPNG)))
+	{
+		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+		return UT_ERROR;
+
+$NetBSD: patch-plugins_garble_xp_abiword-garble-png.cpp,v 1.1 2011/02/01 10:48:15 wiz Exp $
+
+Fix build with png-1.5.
+
+--- plugins/garble/xp/abiword-garble-png.cpp.orig	2009-09-05 15:34:44.000000000 +0000
++++ plugins/garble/xp/abiword-garble-png.cpp
+@@ -79,7 +79,7 @@ bool abiword_document::garble_png( void*
+		png_set_strip_alpha( png_ptr );
+		png_set_interlace_handling( png_ptr );
+		png_set_bgr( png_ptr );
+-		rowbytes = info_ptr->rowbytes;
++		rowbytes = png_get_rowbytes( png_ptr, info_ptr );
+		png_destroy_read_struct( &png_ptr, &info_ptr, NULL );
+	}
+
+$NetBSD: patch-af,v 1.12 2011/01/15 15:07:11 wiz Exp $
+
+Fix build with png-1.5.
+
+--- src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp.orig	2009-07-01 04:02:04.000000000 +0000
++++ src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp
+@@ -185,7 +185,7 @@ UT_Error IE_ImpGraphic_GdkPixbuf::import
+ /** needed for the stejmp context */
+ UT_Error IE_ImpGraphic_GdkPixbuf::_png_write(GdkPixbuf * pixbuf)
+ {
+-	if (setjmp(m_pPNG->jmpbuf))
++	if (setjmp(png_jmpbuf(m_pPNG)))
+	{
+		DELETEP(m_pPngBB);
+		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+@@ -446,7 +446,7 @@ UT_Error IE_ImpGraphic_GdkPixbuf::Initia
+	 * the normal method of doing things with libpng).  REQUIRED unless you
+	 * set up your own error handlers in the png_create_read_struct() earlier.
+	 */
+-	if (setjmp(m_pPNG->jmpbuf))
++	if (setjmp(png_jmpbuf(m_pPNG)))
+	{
+		/* Free all of the memory associated with the png_ptr and info_ptr */
+		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
+$NetBSD: patch-ae,v 1.21 2011/01/15 15:07:11 wiz Exp $
+
+Fix build with png-1.5.
+
+--- src/af/util/xp/ut_png.cpp.orig	2008-02-24 03:33:07.000000000 +0000
++++ src/af/util/xp/ut_png.cpp
+@@ -71,7 +71,7 @@ bool UT_PNG_getDimensions(const UT_ByteB
+	 * the normal method of doing things with libpng).  REQUIRED unless you
+	 * set up your own error handlers in the png_create_read_struct() earlier.
+	 */
+-	if (setjmp(png_ptr->jmpbuf))
++	if (setjmp(png_jmpbuf(png_ptr)))
+	{
+		/* Free all of the memory associated with the png_ptr and info_ptr */
+		png_destroy_read_struct(&png_ptr, &info_ptr, static_cast<png_infopp>(NULL));

abiword/stuff/abiword-gcc46.patch

+diff -ur abiword-2.8.6/src/Makefile.am abiword-2.8.6.patched//src/Makefile.am
+--- abiword-2.8.6/src/Makefile.am	2009-09-09 15:11:01.000000000 +0200
++++ abiword-2.8.6.patched//src/Makefile.am	2011-05-16 10:12:55.378621418 +0200
+@@ -44,7 +44,7 @@
+ 
+ libabiword_2_8_la_LDFLAGS = \
+ 	$(DEPS_LIBS) \
+-	--no-undefined \
++	-Wl,--no-undefined \
+ 	-avoid-version \
+ 	-export-dynamic
+ 
+@@ -107,7 +107,7 @@
+ 
+ AbiWord_LDFLAGS = \
+ 	$(DEPS_LIBS) \
+-	--no-undefined \
++	-Wl,--no-undefined \
+ 	-avoid-version \
+ 	-export-dynamic \
+ 	-headerpad_max_install_names 
+@@ -129,7 +129,7 @@
+ 
+ abiword_LDFLAGS = \
+ 	$(platform_ldflags) \
+-	--no-undefined      \
++	-Wl,--no-undefined      \
+ 	-avoid-version      \
+ 	-export-dynamic
+ 
+diff -ur abiword-2.8.6/src/Makefile.in abiword-2.8.6.patched//src/Makefile.in
+--- abiword-2.8.6/src/Makefile.in	2010-06-13 23:17:56.000000000 +0200
++++ abiword-2.8.6.patched//src/Makefile.in	2011-05-16 10:13:35.595224769 +0200
+@@ -503,7 +503,7 @@
+ 	$(WP_CPPFLAGS) \
+ 	-DABIWORD_DATADIR="\"$(ABIWORD_DATADIR)\""
+ 
+-libabiword_2_8_la_LDFLAGS = $(DEPS_LIBS) --no-undefined -avoid-version \
++libabiword_2_8_la_LDFLAGS = $(DEPS_LIBS) -Wl,--no-undefined -avoid-version \
+ 	-export-dynamic $(am__append_6)
+ libabiword_2_8_la_LIBADD = $(opt_libs) plugins/libplugins.la \
+ 	text/fmt/xp/libxp.la text/ptbl/xp/libxp.la \
+@@ -538,7 +538,7 @@
+ 
+ @TOOLKIT_COCOA_TRUE@AbiWord_LDFLAGS = \
+ @TOOLKIT_COCOA_TRUE@	$(DEPS_LIBS) \
+-@TOOLKIT_COCOA_TRUE@	--no-undefined \
++@TOOLKIT_COCOA_TRUE@	-Wl,--no-undefined \
+ @TOOLKIT_COCOA_TRUE@	-avoid-version \
+ @TOOLKIT_COCOA_TRUE@	-export-dynamic \
+ @TOOLKIT_COCOA_TRUE@	-headerpad_max_install_names 
+@@ -554,7 +554,7 @@
+ 
+ @TOOLKIT_COCOA_FALSE@abiword_LDFLAGS = \
+ @TOOLKIT_COCOA_FALSE@	$(platform_ldflags) \
+-@TOOLKIT_COCOA_FALSE@	--no-undefined      \
++@TOOLKIT_COCOA_FALSE@	-Wl,--no-undefined      \
+ @TOOLKIT_COCOA_FALSE@	-avoid-version      \
+ @TOOLKIT_COCOA_FALSE@	-export-dynamic
+ 

abiword/stuff/abiword-libpng15.diff

-diff -Naur abiword-vanilla//src/af/util/xp/ut_png.cpp abiword-2.8.6//src/af/util/xp/ut_png.cpp
---- abiword-vanilla//src/af/util/xp/ut_png.cpp	2008-02-24 04:33:07.000000000 +0100
-+++ abiword-2.8.6//src/af/util/xp/ut_png.cpp	2011-02-24 11:53:18.954524499 +0100
-@@ -71,7 +71,7 @@
- 	 * the normal method of doing things with libpng).  REQUIRED unless you
- 	 * set up your own error handlers in the png_create_read_struct() earlier.
- 	 */
--	if (setjmp(png_ptr->jmpbuf))
-+	if (setjmp(png_jmpbuf(png_ptr)))
- 	{
- 		/* Free all of the memory associated with the png_ptr and info_ptr */
- 		png_destroy_read_struct(&png_ptr, &info_ptr, static_cast<png_infopp>(NULL));
-diff -Naur abiword-vanilla//src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp abiword-2.8.6//src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp
---- abiword-vanilla//src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp	2009-07-01 06:02:04.000000000 +0200
-+++ abiword-2.8.6//src/wp/impexp/gtk/ie_impGraphic_GdkPixbuf.cpp	2011-02-24 11:53:19.039523946 +0100
-@@ -185,7 +185,7 @@
- /** needed for the stejmp context */
- UT_Error IE_ImpGraphic_GdkPixbuf::_png_write(GdkPixbuf * pixbuf)
- {
--	if (setjmp(m_pPNG->jmpbuf))
-+	if (setjmp(png_jmpbuf(m_pPNG)))
- 	{
- 		DELETEP(m_pPngBB);
- 		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
-@@ -446,7 +446,7 @@
- 	 * the normal method of doing things with libpng).  REQUIRED unless you
- 	 * set up your own error handlers in the png_create_read_struct() earlier.
- 	 */
--	if (setjmp(m_pPNG->jmpbuf))
-+	if (setjmp(png_jmpbuf(m_pPNG)))
- 	{
- 		/* Free all of the memory associated with the png_ptr and info_ptr */
- 		png_destroy_write_struct(&m_pPNG, &m_pPNGInfo);
 SHORT_DESC="Commands for Manipulating POSIX Access Control Lists."
 MAINTAINER="rcx@zoominternet.net"
 DEPENDS="glibc-base attr"
-BUILD_DEPENDS="autoconf automake m4 libtool gettext attr-dev attr"
+BUILD_DEPENDS="autoconf automake m4 libtool gettext attr-dev attr bash"
 TARBALL="${PACKAGE}-${VERSION}.src.tar.gz"
 WEB_SITE="http://savannah.nongnu.org/projects/acl/"
 WGET_URL="http://nongnu.askapache.com/$PACKAGE/$TARBALL"
 PACKAGE="acpid"
 VERSION="2.0.15"
 CATEGORY="system-tools"
-SHORT_DESC="The ACPI event daemon"
-MAINTAINER="domcox@users.sourceforge.net"
+SHORT_DESC="The ACPI event daemon with netlink"
+MAINTAINER="domcox@slitaz.org"
 TARBALL="$PACKAGE-$VERSION.tar.xz"
 WEB_SITE="http://tedfelix.com/linux/acpid-netlink.html"
 WGET_URL="http://www.tedfelix.com/linux/$TARBALL"
 KEY_FILE="key-constants"
 TAGS="power-management"
+SUGGESTED="pm-utils"
 
 # Rules to configure and make the package.
 compile_rules()
 {
-	# Build acpi_fakekey utility
-	cp -a $stuff/acpi_fakekey.c .
-	gcc -g -Wall -o acpi_fakekey acpi_fakekey.c
-	# Generate key constants file
-	INPUT_H="/usr/include/linux/input.h"
-	echo -n '# Generated from $INPUT dated ' > $KEY_FILE
-	date -r $INPUT_H >> $KEY_FILE
-   	echo "KEY_RESERVED=0" >> $KEY_FILE
-	awk '/define KEY_/{if($3 <= 255 && $3 > 0) print $2"="$3}' $INPUT_H | sort -nt'=' -k2 >> $KEY_FILE
-	echo "KEY_LOCK=\$KEY_COFFEE" >> $KEY_FILE
-	echo "KEY_LIGHT=\$KEY_F19" >> $KEY_FILE
-	echo "KEY_VIDEOOUT=\$KEY_F20" >> $KEY_FILE
-	echo "KEY_ROTATESCREEN=\$KEY_F21" >> $KEY_FILE
-	echo "KEY_VIDEOMODECYCLE=\$KEY_F22" >> $KEY_FILE
-	echo "KEY_PRESENTATION=\KEY_F23" >> $KEY_FILE
-	# Build acpid
+	# Build
 	cd $src
 	./configure --prefix=/usr $CONFIGURE_ARGS &&
 	make &&
 	mkdir -p $fs/etc
 	cp -a $stuff/init.d $fs/etc/
 	cp -a $stuff/acpi $fs/etc/
-	# acpi_fakekey
-	cp -a $src/acpi_fakekey $fs/usr/bin
-	cp -a $src/$KEY_FILE $fs/etc/acpi/
+	chmod go-rwx $fs/etc/acpi/*.sh
+	chmod go-rwx $fs/etc/acpi/events/*
 }
 
-# Pre and post remove commands for Tazpkg                                                                              
+# Pre and post remove commands for Tazpkg
+post_install()
+{
+	local root
+	root=$1
+	if [ -z "$root" ]; then
+		/etc/init.d/acpid start || continue
+	fi
+	if ! grep -q ^ACPID_OPTIONS $root/etc/daemons.conf; then
+		echo '# ACPI daemon options.' >> $root/etc/daemons.conf
+		echo 'ACPID_OPTIONS=""' >> $root/etc/daemons.conf
+		echo '' >> $root/etc/daemons.conf
+	fi
+}	
 
 pre_remove()
 {
-	/etc/init.d/acpid stop
-}
-
-post_remove()
-{
-	if [ `ls /etc/acpi/events | wc -l` -eq 0 ]; then
-		echo -n "Removing /etc/acpi/events"
-		rm -rf /etc/acpi/events
-		status
-	fi
-	if [ `ls /etc/acpi | wc -l` -eq 0 ]; then
-		echo -n "Removing /etc/acpi"
-		rm -rf /etc/acpi
-		status
+	if [ -z "$1" ]; then
+		/etc/init.d/acpid stop
 	fi
 }

acpid/stuff/acpi/acpi_handler.sh

+#!/bin/sh
+# A script for handling ACPI events.
+# See events/*.conf for a configuration file that can be used to
+# run this script.
+
+if [ $# != 1 ]; then
+	exit 1
+fi
+set $*
+
+case "$1" in
+	button/lid)
+		[ -e /usr/sbin/pm-suspend ] && /usr/sbin/pm-suspend \
+		|| logger "acpid: pm-suspend not found, skipping.." ;;
+	ac_adapter)
+		case "$2" in
+		 AC*|AD*)
+			case "$4" in
+				00000000) # disconnected
+					[ -e /usr/sbin/pm-powersave ] \
+					&& /usr/sbin/pm-powersave battery \
+					|| logger "acpid: pm-powersave not found, skipping.." ;;
+				00000001) # connected
+					[ -e /usr/sbin/pm-powersave ] \
+					&& /usr/sbin/pm-powersave ac \
+					|| logger "acpid: pm-powersave not found, skipping.." ;;
+            esac ;;
+		esac ;;
+	*) 
+		logger "acpid: action $1 $2 is not defined" ;;
+esac

acpid/stuff/acpi/button.sh

-#!/bin/sh
-# button.sh - Managing button events for SliTaz
-# 
-
-source /etc/acpi/key-constants
-
-# logger "button.sh: event=$1"
-
-# take care about the way events are reported
-
-EVENT_TYPE=`echo $1 | cut -d/ -f1`
-if [ $EVENT_TYPE = $1 ]; then
-	EVENT=$2
-else
-	EVENT=`echo "$1" | cut -d/ -f2`
-fi
-
-case $EVENT in
-	power)
-		logger "Event: button/power - sending KEY_EXIT($KEY_EXIT)"
-		/usr/bin/acpi_fakekey $KEY_EXIT
-	;;
-	lid)
-		if [ -e /usr/bin/suspend ] ; then
-			logger "Event: button/lid - suspending"
-			/usr/bin/suspend
-		else
-			logger "Event: button/lid - /usr/bin/suspend not found, skipping.."
-		fi
-	;;
-	sleep)
-		if [ -e /usr/bin/hibernate ] ; then
-			logger "Event: button/sleep - hibernating"
-			/usr/bin/hibernate
-		else
-			logger "Event: button/sleep - /usr/bin/hibernate not found, skipping.."
-		fi
-	;;
-esac

acpid/stuff/acpi/events/ac.conf

-# /etc/acpi/event/ac.conf
-# ac power events
-
-event=ac_adapter
-action=/etc/acpi/power-supply.sh
-

acpid/stuff/acpi/events/ac_adapter

+# /etc/acpi/event/ac.conf
+# ac power events
+event=ac_adapter .*
+action=/etc/acpi/acpi_handler.sh "%e"
+

acpid/stuff/acpi/events/battery.conf

-# /etc/acpi/event/battery.conf
-# Battery events
-
-event=battery
-action=/etc/acpi/power-supply.sh
-

acpid/stuff/acpi/events/button.conf

-# /etc/acpi/event/button
-# lid, sleep or power button events
-
-event=button
-action=/etc/acpi/button.sh %e
-

acpid/stuff/acpi/events/buttons

+# /etc/acpi/event/button
+# lid, sleep or power button events
+event=button.*
+action=/etc/acpi/acpi_handler.sh "%e"
+

acpid/stuff/acpi/power-supply.sh

-#!/bin/sh
-# /etc/acpi/power-supply.sh - Managing power events for SliTaz
-# For Tips & Tricks see http://www.lesswatts.org
-
-# This script turns off power savings mode on ac or when the 
-# battery almost runs out in a attempt to limit data loss in
-# a case of power failure.
-
-ENABLED=1
-DISABLED=0
-
-# AC status (from /sys/class/power_supply/online)
-ON_LINE=1
-OFF_LINE=0
-
-# Battery status 
-LOW_BAT=0
-HIGH_BAT=1
-
-# Determining the power state.
-
-ac_status()
-{
-	POWER_SUPPLY_MAINS=$DISABLED
-	AC_STATUS=$OFF_LINE
-	for POWER_SUPPLY in /sys/class/power_supply/* ; do
-		if [ -f $POWER_SUPPLY/type ] ; then
-			if [ "$(cat $POWER_SUPPLY/type)" = "Mains" ] ;then
-				echo -n "Determining power state from $POWER_SUPPLY: "
-				POWER_SUPPLY_MAINS=$ENABLED
-				if [ "$(cat $POWER_SUPPLY/online)" = 1 ] ; then
-					AC_STATUS=$ON_LINE
-					echo "on-line"
-				else
-					echo "off-line"
-				fi
-			fi
-		fi
-	done
-	if [ $POWER_SUPPLY_MAINS -eq $DISABLED ] ; then
-		$AC_STATUS=$ON_LINE
-	fi
-}
-
-# Determining the battery state.
-
-battery_status()
-{
-	BATTERY_STATUS=$LOW_BAT
-	for BATT in /sys/class/power_supply/* ; do
-		BATT_TYPE=$(cat $BATT/type)
-		echo "$BATT is of type $BATT_TYPE."
-		if [ "$BATT_TYPE" = "Battery" ] ; then
-			echo "  Checking levels for $BATT."
-			# Only do if the battery is present
-	        if [ $(cat $BATT/present) -eq 1 ] ; then
-
-				# Get the remaining capacity.
-				if [ -f $BATT/charge_now ] ; then
-					REMAINING=$(cat $BATT/charge_now)
-				elif [ -f $BATT/energy_now ] ; then
-					REMAINING=$(cat $BATT/energy_now)
-				else
-					REMAINING=0
-				fi
-				if [ -z "$REMAINING" -o "$REMAINING" -eq 0 ] ; then
-					echo "  Battery does not report remaining charge. Perhaps it is not present?"
-				else
-					echo "  Remaining charge: $REMAINING"
-
-					# Get the alarm level
-					ALARM_LEVEL=$(cat $BATT/alarm)
-					if [ "$ALARM_LEVEL" -eq 0 ] ; then
-
-						# Get the full capacity.
-
-						if [ -f $BATT/charge_full_design ] ; then
-							CAPACITY=$(cat $BATT/charge_full_design)
-						elif [ -f $BATT/energy_full_design ] ; then
-							CAPACITY=$(cat $BATT/energy_full_design)
-						else
-							CAPACITY=0
-						fi
-						if [ -z "$CAPACITY" -o "$CAPACITY" -eq 0 ] ; then
-							echo "  Battery does not report design full charge, using non-design full charge."
-
-							if [ -f $BATT/charge_full ] ; then
-								CAPACITY=$(cat $BATT/charge_full)
-							elif [ -f $BATT/energy_full_design ] ; then
-								CAPACITY=$(cat $BATT/energy_full)
-							else
-								CAPACITY=0
-							fi
-							if [ -z "$CAPACITY" -o "$CAPACITY" -eq 0] ; then
-								echo "  Battery does not report non-design full charge."
-							fi
-						fi
-						echo "  Full capacity: $CAPACITY"
-						ALARM_LEVEL=$((CAPACITY*5/100))
-					fi
-					echo "  Alarm level: $ALARM_LEVEL"
-					if [ "$ALARM_LEVEL" -ne 0 ] ; then
-						if [ "$REMAINING" -ge "$ALARM_LEVEL" ] ; then
-							# this battery does count as having enough charge.
-							BATTERY_STATUS=$HIGH_BAT
-							echo "  Battery status: high"
-						else
-							echo "  Battery status: low"
-						fi
-					fi
-				fi
-			else
-				echo "Battery is not present."
-			fi
-		fi
-	done
-}
-
-online_mode()
-{
-	# Disable laptop mode
-	# When laptop mode is enabled, the kernel will try to be smart
-	# about when to do IO, to give the disk and the SATA links as
-	# much time as possible in a low power state.
-
-	if [ -e /proc/sys/vm/laptop_mode ] ; then
-		echo "Disabling laptop mode"
-		echo 0 > /proc/sys/vm/laptop_mode
-	fi
-
-	# AC97 audio power saving mode
-	# The AC97 onboard audio chips support power saving, where the
-	# analog parts (codec) are powered down when no program is using
-	# the audio device.
-
-	if [ -e /sys/module/snd_ac97_codec/parameters/power_save ] ; then
-		echo "Disabling AC97 audio power saving mode"
-		echo 0 > /sys/module/snd_ac97_codec/parameters/power_save
-	fi
-
-	# The VM writeback time
-	# The VM subsystem caching allows the kernel to group consecutive
-	# writes into one big write, and to generally optimize the disk IO
-	# to be the most efficient. 
-
-	if [ -e /proc/sys/vm/dirty_writeback_centisecs ] ; then
-		echo "Writeback time reset to 500ms"
-		echo 500 > /proc/sys/vm/dirty_writeback_centisecs
-	fi
-}
-
-offline_mode()
-{
-	# Enable laptop mode
-	# When laptop mode is enabled, the kernel will try to be smart
-	# about when to do IO, to give the disk and the SATA links as
-	# much time as possible in a low power state. 
-
-	if [ ! -e /proc/sys/vm/laptop_mode ] ; then
-		echo "Kernel does not have support for laptop mode." 
-	else
-		echo "Enabling laptop mode"
-		echo 5 > /proc/sys/vm/laptop_mode
-	fi
-
-	# AC97 audio power saving mode
-	# The AC97 onboard audio chips support power saving, where the
-	# analog parts (codec) are powered down when no program is using
-	# the audio device.
-
-	if [ -e /sys/module/snd_ac97_codec/parameters/power_save ] ; then
-		echo "Enabling AC97 audio power saving mode"
-		echo 1 > /sys/module/snd_ac97_codec/parameters/power_save
-		echo 1 > /dev/dsp
-	fi
-
-	# The VM writeback time
-	# The VM subsystem caching allows the kernel to group consecutive
-	# writes into one big write, and to generally optimize the disk IO
-	# to be the most efficient.
-
-	if [ -e /proc/sys/vm/dirty_writeback_centisecs ] ; then
-		echo "Writeback time set to 1500ms"
-		echo 1500 > /proc/sys/vm/dirty_writeback_centisecs
-	fi
-}
-
-power_status()
-{
-	if [ $(cat /proc/sys/vm/dirty_writeback_centisecs) -gt 1000 ]; then
-		POWER_SAVINGS=$ENABLED
-		echo "power-savings-mode enabled"
-	else
-		POWER_SAVINGS=$DISABLED
-		echo "power-savings-mode disabled"
-	fi
-}
-
-custom_scripts()
-{
-	# Custom scripts in /etc/acpi/ac.d
-
-	if [ -d /etc/acpi/ac.d ]; then
-		for SCRIPT in /etc/acpi/ac.d/*.sh; do
-			. $SCRIPT $AC_STATUS $BATTERY_STATUS $0
-		done
-	fi
-
-	# Custom scripts in /etc/acpi/battery.d
-
-	if [ -d /etc/acpi/battery.d ]; then
-		for SCRIPT in /etc/acpi/battery.d/*.sh; do
-			. $SCRIPT $AC_STATUS $BATTERY_STATUS $0
-		done
-	fi
-}
-
-ac_status
-battery_status
-power_status
-case "$AC_STATUS+$BATTERY_STATUS" in
-	"$OFF_LINE+$HIGH_BAT")
-		if [ $POWER_SAVINGS = $DISABLED ]; then 
-			logger "Start power savings mode"
-			offline_mode
-		fi
-	;;
-	*)
-		if [ $POWER_SAVINGS = $ENABLED ]; then
-			logger "Stop power savings mode"
-			online_mode
-		fi
-	;;
-esac
-custom_scripts

acpid/stuff/acpi_fakekey.c

-#include <unistd.h>
-#include <fcntl.h>
-#include <string.h>
-#include <stdlib.h>
-#include <stdio.h>
-#include <linux/input.h>
-
-#define TestBit(bit, array) (array[(bit) / 8] & (1 << ((bit) % 8)))
-
-int find_keyboard() {
-	int i, j;
-        int fd;
-        char filename[32];
-        char key_bitmask[(KEY_MAX + 7) / 8];
-
-        for (i=0; i<32; i++) {
-                snprintf(filename,sizeof(filename), "/dev/input/event%d", i);
-
-                fd = open(filename, O_RDWR);
-                ioctl(fd, EVIOCGBIT(EV_KEY, sizeof(key_bitmask)), key_bitmask);
-
-		for (j = 0; j < BTN_MISC; j++) {
-			if (TestBit(j, key_bitmask))
-				break;
-		}
-
-                if (j < BTN_MISC) {
-                        return fd;
-                }
-		close (fd);
-        }
-        return 0;
-}
-
-int main(int argc, char** argv) {
-	int fd;
-	int key;
-	struct input_event event;
-
-	if (argc == 2) {
-		key = atoi(argv[1]);
-	} else {
-		return 1;
-	}
-
-	fd = find_keyboard();
-
-	if (!fd) {
-		return 2;
-	}
-
-	event.type = EV_KEY;
-	event.code = key;
-	event.value = 1;
-	write(fd, &event, sizeof event);
-
-	event.type = EV_KEY;
-	event.code = key;
-	event.value = 0;
-	write(fd, &event, sizeof event);
-	
-	return 0;
-}
-

ajaxterm/stuff/usr/share/ajaxterm/ajaxterm.html

 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-<html>
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
 	<title>Ajaxterm</title>
 	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>

alsa-utils/receipt

 SHORT_DESC="Alsa sound system utilities et config tools."
 MAINTAINER="pankso@slitaz.org"
 DEPENDS="alsa-lib ncurses util-linux-ng-getopt"
-BUILD_DEPENDS="alsa-lib alsa-lib-dev"
+BUILD_DEPENDS="alsa-lib alsa-lib-dev ncurses-dev"
 TARBALL="$PACKAGE-$VERSION.tar.bz2"
 WEB_SITE="http://www.alsa-project.org/"
 WGET_URL="ftp://ftp.alsa-project.org/pub/utils/$TARBALL"
 CATEGORY="network"
 SHORT_DESC="An eMule-like client for the eD2k and Kademlia networks."
 MAINTAINER="pankso@slitaz.org"
-DEPENDS="wxWidgets libupnp libbfd xorg-libXxf86vm"
+DEPENDS="wxWidgets libupnp libbfd cryptopp xorg-libXxf86vm"
 BUILD_DEPENDS="wxWidgets-dev libupnp-dev cryptopp zlib-dev"
 #SOURCE="aMule-SVN"
 SOURCE="aMule"

apache-ant/receipt

 # SliTaz package receipt.
 
 PACKAGE="apache-ant"
-VERSION="1.8.3"
+VERSION="1.8.2"
 CATEGORY="development"
 SHORT_DESC="A Java-based build tool."
 MAINTAINER="rcx@zoominternet.net"
 WEB_SITE="http://www.apache.org/"
 WGET_URL="${WEB_SITE}dist/$SOURCE/$TARBALL"
 DEPENDS="apr-util apr openssl pcre util-linux-ng-uuid expat zlib"
-BUILD_DEPENDS="apr-util-dev apr-dev openssl-dev sed expat-dev zlib-dev util-linux-ng-uuid-dev openldap-dev"
+BUILD_DEPENDS="apr-util-dev apr-dev openssl-dev sed expat-dev zlib-dev \
+util-linux-ng-uuid-dev openldap-dev bash"
 CONFIG_FILES="/etc/apache /var/www /etc/ssl/apache"
 PROVIDE="lighttpd"
 TAGS="webserver http server"
 
 post_install()
 {
+	local lang=$(. /etc/locale.conf 2>/dev/null; echo ${LANG#*_})
+	local tz=$(cat /etc/TZ 2>/dev/null)
+	local hostname=$(cat /etc/hostname 2>/dev/null)
 	echo "Processing post-install commands..."
 	# Just in case.
 	chown www.www $1/var/log/$PACKAGE
 	[ -s $1/etc/ssl/apache/apache.pem ] ||
 	openssl req -new -x509 -keyout $1/etc/ssl/apache/apache.pem \
 		-out $1/etc/ssl/apache/apache.pem -days 3650 -nodes <<EOT
-$(. /etc/locale.conf ; echo ${LANG#*_})
-$(cat /etc/TZ)
+${lang:-us}
+${tz:-UTC}
 
-$(cat /etc/hostname)
+${hostname:-slitaz}
 
 
 
 CATEGORY="development"
 SHORT_DESC="Apache Portable Runtime Library dev files"
 MAINTAINER="lehswe@gmail.com"
-DEPENDS="apr"
+DEPENDS="apr bash"
 WANTED="apr"
 WEB_SITE="http://apr.apache.org"
 
 CONFIG_FILES="/etc/aqsis/aqsisrc"
 
 DEPENDS="tiff openexr libboost-wave libboost-thread libboost-iostreams \
-libboost-filesystem fltk"
+libboost-filesystem xorg-libX11 xorg-libXinerama fltk"
 BUILD_DEPENDS="cmake fltk-dev ilmbase-dev libboost-wave-dev \
 libboost-thread-dev libboost-iostreams-dev libboost-filesystem-dev \
-libboost-math-dev libxslt-dev tiff-dev openexr-dev"
+libboost-math-dev libxslt-dev tiff-dev openexr-dev xorg-libX11-dev \
+xorg-libXinerama-dev flex"
 
 # Rules to configure and make the package.
 compile_rules()
 # SliTaz package receipt.
 
 PACKAGE="aria2"
-VERSION="1.14.2"
+VERSION="1.15.0"
 CATEGORY="utilities"
 SHORT_DESC="A download utility with resuming and segmented downloading with HTTP/HTTPS/FTP support"
 MAINTAINER="devl547@gmail.com"
 TARBALL="$PACKAGE-$VERSION.tar.gz"
 WEB_SITE="http://arora.googlecode.com/"
 WGET_URL="$WEB_SITE/files/$TARBALL"
-BUILD_DEPENDS="Qt4-dev qmake qt4-phonon libsqlite"
-DEPENDS="qt4-phonon libQtGui libQtWebkit libQtDBus libQtXml libQtScript"
+
+BUILD_DEPENDS="Qt4-dev qmake libsqlite"
+DEPENDS="libQtGui libQtWebkit libQtDBus libQtXml libQtScript"
 
 # Rules to configure and make the package.
 compile_rules()
 {
 	cd $src
-	qmake &&
-	make $MAKEFLAGS
+	qmake PREFIX="/usr/" &&
+	make $MAKEFLAGS &&
+	make INSTALL_ROOT=$DESTDIR install
 }
 
 # Rules to gen a SliTaz package suitable for Tazpkg.
 genpkg_rules()
 {
-	mkdir -p $fs/usr/bin $fs/usr/share/pixmaps $fs/usr/share/applications
+	mkdir -p $fs/usr/bin
 	cp $src/arora $fs/usr/bin
-	cp -a $src/src/data/32x32/arora.png $fs/usr/share/pixmaps
-	cp -a $src/src/arora.desktop $fs/usr/share/applications
 }
 # SliTaz package receipt.
 
 PACKAGE="atk-dev"
-VERSION="2.4.0"
+VERSION="2.2.0"
 CATEGORY="development"
 SHORT_DESC="Accessibility toolkit devel files."
 MAINTAINER="pankso@slitaz.org"
 # SliTaz package receipt.
 
 PACKAGE="atk"
-VERSION="2.4.0"
+VERSION="2.2.0"
 CATEGORY="x-window"
 SHORT_DESC="Accessibility toolkit."
 MAINTAINER="pankso@slitaz.org"
 DEPENDS="glib"
 BUILD_DEPENDS="libgio-dev glib-dev gobject-introspection-dev pkg-config"
-TARBALL="$PACKAGE-$VERSION.tar.xz"
+TARBALL="$PACKAGE-$VERSION.tar.bz2"
 WEB_SITE="http://www.gnome.org/"
 WGET_URL="$GNOME_MIRROR/$PACKAGE/${VERSION:0:3}/$TARBALL"
 TAGS="accessibility"

audacious-dev/receipt

 # SliTaz package receipt.
 
 PACKAGE="audacious-dev"
-VERSION="3.2.1"
+VERSION="3.2.2"
 CATEGORY="multimedia"
 SHORT_DESC="Music player like xmms"
 WEB_SITE="http://audacious-media-player.org/"

audacious-plugins/receipt

 # SliTaz package receipt.
 
 PACKAGE="audacious-plugins"
-VERSION="3.2.1"
+VERSION="3.2.2"
 CATEGORY="multimedia"
 SHORT_DESC="Plugins for audacious music player"
 MAINTAINER="mimas@slitaz.org"
 WGET_URL="http://distfiles.audacious-media-player.org/$TARBALL"
 
 DEPENDS="libxml2 libogg libvorbis alsa-lib flac dbus-glib libsndfile \
- libcdio libmad curl taglib libcomerr3 mpg123 faad2"
-BUILD_DEPENDS="audacious-dev audacious neon flac-dev libogg-dev libvorbis-dev \
- libmowgli-dev alsa-lib-dev lame-dev libmad-dev libmad dbus-glib-dev \
- libmcs-dev libsamplerate-dev mpg123-dev faad2-dev"
+ libcdio libmad curl taglib libcomerr3 mpg123 faad2 neon gtk+"
+BUILD_DEPENDS="audacious-dev audacious neon-dev flac-dev libogg-dev \
+libvorbis-dev libmowgli-dev alsa-lib-dev lame-dev libmad-dev dbus-glib-dev \
+libmcs-dev libsamplerate-dev mpg123-dev faad2-dev curl-dev \
+libxml2-dev gtk+-dev"
 
 # Rules to configure and make the package.
 compile_rules()

audacious/receipt

 # SliTaz package receipt.
 
 PACKAGE="audacious"
-VERSION="3.2.1"
+VERSION="3.2.2"
 CATEGORY="multimedia"
 SHORT_DESC="Music player like xmms"
 MAINTAINER="mimas@slitaz.org"

audacity/receipt

File contents unchanged.

audiofile-dev/receipt

File contents unchanged.

audiofile/receipt

File contents unchanged.

aufs-utils/receipt

 # SliTaz package receipt.
 
 PACKAGE="aufs-utils"
-VERSION="20120402"
+VERSION="20110612"
 CATEGORY="system-tools"
 SHORT_DESC="The aufs utils."
 MAINTAINER="pankso@slitaz.org"
 TARBALL="$PACKAGE-$VERSION.tar.bz2"
 WEB_SITE="http://aufs.sourceforge.net/"
-WGET_URL="git|git://aufs.git.sourceforge.net/gitroot/aufs/aufs-util.git"
-BRANCH="origin/aufs3.x-rcN"
+WGET_URL="git|http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-util.git"
+BRANCH="origin/aufs2.1"
 
 DEPENDS="aufs"
 BUILD_DEPENDS="git linux-module-headers aufs"

aufs/receipt

File contents unchanged.
 	cp -a $_pkg/usr/bin $fs/usr
 	cp -a $_pkg/usr/share/aclocal-1.11 $fs/usr/share
 	cp -a $_pkg/usr/share/automake-1.11 $fs/usr/share
+	ln -sf automake-1.11 $fs/usr/bin/automake-1.10
+	ln -sf aclocal-1.11 $fs/usr/bin/aclocal-1.10
+	ln -sf aclocal-1.11 $fs/usr/share/aclocal-1.10
+	ln -sf automake-1.11 $fs/usr/share/automake-1.10
 }
-
-# Clean old files.
-pre_install()
-{
-	rm -rf /usr/share/automake-1.9
-	rm -rf /usr/share/aclocal-1.9
-	rm -rf /usr/share/automake-1.10
-	rm -rf /usr/share/aclocal-1.10
-}
 TARBALL="$PACKAGE-$VERSION.tar.gz"
 WEB_SITE="http://ayttm.sourceforge.net/"
 WGET_URL="http://downloads.sourceforge.net/project/$PACKAGE/$PACKAGE/$VERSION/$TARBALL"
-BUILD_DEPENDS="gtk+-dev zlib-dev audiofile-dev xcb-util-dev openssl-dev flex enchant-dev"
+BUILD_DEPENDS="gtk+-dev zlib-dev audiofile-dev xcb-util-dev openssl-dev flex \
+enchant-dev xorg-libXpm-dev libtool"
 DEPENDS="gtk+ zlib audiofile xcb-util openssl enchant aspell xorg-libXpm"
 
 # Rules to configure and make the package.
 {
 	cd $src
 	./configure --prefix=/usr --infodir=/usr/share/info \
-	--mandir=/usr/share/man --sysconfdir=/etc $CONFIGURE_ARGS \
+	--mandir=/usr/share/man $CONFIGURE_ARGS \
 	--disable-webcam --disable-esd --disable-arts --disable-webcam \
 	--enable-lj &&
 	make && make install
 # Rules to gen a SliTaz package suitable for Tazpkg.
 genpkg_rules()
 {
-	mkdir -p $fs/usr/share
-	cp -a $install/etc $fs
+	mkdir -p $fs/usr/
+	mkdir -p $fs/etc/
 	cp -a $install/usr/bin $fs/usr
 	cp -a $install/usr/lib $fs/usr
-	cp -a $install/usr/share/ayttm $fs/usr/share
-	cp -a $install/usr/share/gnome $fs/usr/share
-	cp -a $install/usr/share/pixmaps $fs/usr/share
-	cp -a $install/usr/share/applnk $fs/usr/share
+	cp -a $install/usr/share/ $fs/usr
+	cp $install/usr/etc/ayttmrc $fs/etc/ayttmrc
 }

babl/receipt

File contents unchanged.
 TAGS="dvcs version-control versioning"
 
 DEPENDS="glibc-base zlib python"
-BUILD_DEPENDS="python python-dev"
+BUILD_DEPENDS="python python-dev wget"
 
 # Rules to configure and make the package.
 compile_rules()

bind-client/receipt

File contents unchanged.

bind-dev/receipt

File contents unchanged.

bind/receipt

File contents unchanged.
 # SliTaz package receipt.
 
 PACKAGE="binutils"
-VERSION="2.22"
+VERSION="2.21.1a"
 CATEGORY="development"
 SHORT_DESC="GNU assembler, linker and binary utilities."
 MAINTAINER="pankso@slitaz.org"
 		fi
 		ln -s $binutil $path
 	done
-
-	# Rebuild libiberty.1 with -fPIC
-	cp -a libiberty libiberty-pic
-	make -C libiberty-pic clean
-	make CFLAGS="$CFLAGS -fPIC" -C libiberty-pic
-
-	# Rebuild libbfd.a with -fPIC
-	# hidden visability prevent 3rd party shared libraries exporting bfd non-stable API
-	cp -a bfd bfd-pic
-	make -C bfd-pic clean
-	make CFLAGS="$CFLAGS -fPIC -fvisibility=hidden" -C bfd-pic
-
-	# Rebuild libopcodes.a with -fPIC
-	cp -a opcodes opcodes-pic
-	make -C opcodes-pic clean
-	make CFLAGS="$CFLAGS -fPIC" -C opcodes-pic
 }
 
 # Rules to gen a SliTaz package suitable for Tazpkg.
 	cp -a $_pkg/usr/lib/*.so* $fs/usr/lib
 	cp -a $_pkg/usr/lib/*.a $fs/usr/lib
 	cp -a $_pkg/usr/include $fs/usr
-
+	
 	# libiberty.h
 	cp -a $src/include/libiberty.h $fs/usr/include
-	cp -a $src/include/demangle.h $fs/usr/include
-
-	cp -a $WOK/$PACKAGE/source/binutils-build/libiberty-pic/libiberty.a $fs/usr/lib
-	cp -a $WOK/$PACKAGE/source/binutils-build/bfd-pic/libbfd.a $fs/usr/lib
-	cp -a $WOK/$PACKAGE/source/binutils-build/opcodes/libopcodes.a $fs/usr/lib
-
+	
 	# Remove 'strings' (Busybox).
 	#rm $fs/usr/lib/libiberty.a
 	rm $fs/usr/bin/strings $fs/usr/bin/*-strings
-
+	
 	# Remove build directory (cookutils and tazwok path).
 	rm -rf $WOK/$PACKAGE/source/$PACKAGE-build
 	rm -rf $WOK/$PACKAGE/$PACKAGE-build

bluefish/receipt

File contents unchanged.
 WEB_SITE="http://boinc.berkeley.edu/"
 WGET_URL="svn|http://boinc.berkeley.edu/svn/tags/boinc_core_release_${SVN_TAG}"
 # The init script requires bash.
-DEPENDS="openssl libcurl wxWidgets libnotify bash"
+DEPENDS="openssl libcurl wxWidgets libnotify sqlite bash"
 BUILD_DEPENDS="subversion openssl-dev autoconf automake curl-dev libidn-dev \
-wxWidgets-dev libnotify-dev"
+wxWidgets-dev libnotify-dev sqlite-dev"
 
 # Rules to configure and make the package.
 compile_rules()

boxbackup-client/receipt

 VERSION="0.11.1"
 CATEGORY="network"
 SHORT_DESC="Client for the BoxBackup on-line backup system"
-MAINTAINER="domcox@users.sourceforge.net"
+MAINTAINER="domcox@slitaz.org"
 DEPENDS="db libedit libssl perl zlib gcc-lib-base"
 SOURCE="boxbackup"
 WANTED="boxbackup-server"
 TAGS="backup automatic client"
 
 # Configuration variables                                                                                                    
-CONF_DIR="/etc/box"
+CONF_DIR="/etc/boxbackup"
 DATA_DIR="/var/lib/bbackupd"
 RUN_DMON=0
 
 	rm -rf $1/$CONF_DIR/bbackupd*
 
 	# Delete CONF dir (if empty)
-	if [ `ls -lA $CONF_DIR | wc -l` -eq 0 ]; then
+	if [ $(ls -lA $CONF_DIR | wc -l) -eq 0 ]; then
 		echo -n "Removing $CONF_DIR..."
 		rm -rf $1/$CONF_DIR
 		status

boxbackup-server/receipt

 VERSION="0.11.1"
 CATEGORY="network"
 SHORT_DESC="Server for the BoxBackup on-line backup system"
-MAINTAINER="domcox@users.sourceforge.net"
+MAINTAINER="domcox@slitaz.org"
 DEPENDS="db libedit openssl perl zlib gcc-lib-base"
 BUILD_DEPENDS="db-dev libedit-dev openssl-dev zlib-dev"
 SOURCE="boxbackup"
 WEB_SITE="http://www.boxbackup.org/"
 # stable
 # WGET_URL="$SF_MIRROR/$SOURCE/$TARBALL"
-WGET_URL="http://www.boxbackup.org/svn/box/packages/$TARBALL"
+#WGET_URL="http://www.boxbackup.org/svn/box/packages/$TARBALL"
+WGET_URL="http://www.boxbackup.org/browser/box/packages/$TARBALL"
 TAGS="backup automatic server network"
 
 # Configuration variables
-HOSTNAME=`ifconfig | awk -F ":" '/cast/ {print substr($2,0, index($2," ")-1) }'`
-CONF_DIR="/etc/box"
+HOSTNAME=$(ifconfig | awk -F ":" '/cast/ {print substr($2,0, index($2," ")-1) }')
+CONF_DIR="/etc/boxbackup"
 DATA_DIR="/var/lib/bbstored"
 CA_DIR="${CONF_DIR}/ca"
 BBUSER="bbstored"
 
 post_install()
 {
+	# default conf dir is now /etc/boxbackup
+	if [ ! -e /etc/box/bbstored.conf ]; then
+		mv /etc/box $CONF_DIR
+	fi
+
 	# adduser BBUSER if needed
 	if  ! grep -q $BBUSER $1/etc/passwd; then
 		echo -n "Adding user '$BBUSER'..."
 	if [ ! -e $CONF_DIR/bbstored.conf ]; then
 		# Setting hostname
 		echo -n "Setting hostname... "
-		if [ `hostname -f 2>1 > /dev/null;echo $?` -eq 0 ]; then
-		HOSTNAME=`hostname -f`
+		if [ $(hostname -f 2>1 > /dev/null;echo $?) -eq 0 ]; then
+		HOSTNAME=$(hostname -f)
 		fi
 		if [ -z $HOSTNAME ]; then
 			HOSTNAME="127.0.0.1"
 		status
     fi
 	# Delete $CONF_DIR (if empty)
-	if [ `ls -lA $CONF_DIR | wc -l` -eq 0 ]; then
+	if [ $(ls -lA $CONF_DIR | wc -l) -eq 0 ]; then
 		echo -n "Removing $CONF_DIR..."
 		rm -r $CONF_DIR
 		status
 DEPENDS="glib pixman libpng zlib expat fontconfig freetype xorg-libX11 \
 xorg-libXau xorg-libXdmcp xorg-libXrender xcb-util libxcb"
 BUILD_DEPENDS="pkg-config glib-dev libpng-dev zlib-dev fontconfig-dev \
-freetype-dev xorg-libX11-dev xorg-libXau-dev xorg-libXdmcp-dev \
-xorg-libXrender-dev xcb-util-dev libxcb-dev"
+freetype-dev xorg-libX11-dev pixman-dev xorg-libXau-dev xorg-libXdmcp-dev \
+xorg-libXrender-dev xcb-util-dev libxcb-dev expat-dev"
 TARBALL="$PACKAGE-$VERSION.tar.gz"
 WEB_SITE="http://www.cairographics.org/"
 WGET_URL="http://cairographics.org/releases/$TARBALL"
 WGET_URL="$SF_MIRROR/$PACKAGE/$TARBALL"
 
 DEPENDS="quvi libboost-filesystem libboost-program-options \
-libboost-system libboost-date-time libboost-iostreams"
+libboost-system libboost-date-time libboost-iostreams pcre"
 BUILD_DEPENDS="lua-dev curl-dev libquvi-dev libboost-date-time-dev \
 libboost-filesystem-dev libboost-math-dev libboost-tr1-dev libboost-iostreams-dev \
-libboost-program-options-dev libboost-system-dev libboost-signals-dev"
+libboost-program-options-dev libboost-system-dev libboost-signals-dev pcre-dev"
 
 # Rules to configure and make the package.
 compile_rules()
 	adduser -s /bin/false -H -D -u 64 clamav
 
 	cd $src
-	patch -Np1 -i $stuff/gcc47.patch
 	./configure \
 		--sysconfdir=/etc/clamav \
 		--with-iconv=no \

clamav/stuff/gcc47.patch

---- clamav-0.97.3.orig/libclamav/c++/llvm/lib/ExecutionEngine/JIT/Intercept.cpp
-+++ clamav-0.97.3/libclamav/c++/llvm/lib/ExecutionEngine/JIT/Intercept.cpp
-@@ -15,6 +15,7 @@
- //
- //===----------------------------------------------------------------------===//
- 
-+#include <unistd.h>
- #include "JIT.h"
- #include "llvm/Support/ErrorHandling.h"
- #include "llvm/System/DynamicLibrary.h"

cmake/receipt

File contents unchanged.

compiz-core/receipt

 CATEGORY="x-window"
 SHORT_DESC="Compiz is an OpenGL compositing manager for 3D effect."
 MAINTAINER="pankso@slitaz.org"
-DEPENDS="librsvg libxslt startup-notification libboost-serialization \
-glibmm mesa dbus libwnck GConf"
-BUILD_DEPENDS="$DEPENDS libwnck-dev GConf-dev dbus-dev cmake intltool librsvg-dev libxslt-dev \
-startup-notification-dev libboost-dev libboost-math-dev libboost-serialization-dev \
-glibmm-dev mesa-dev file"
 TARBALL="$PACKAGE-$VERSION.tar.bz2"
 WEB_SITE="http://www.compiz.org/"
 WGET_URL="http://releases.compiz.org/$VERSION/$TARBALL"
 
+DEPENDS="librsvg libxslt startup-notification libboost-serialization \
+glibmm mesa dbus libwnck GConf xorg-libXcomposite xorg-libXrandr xorg-libXinerama"
+BUILD_DEPENDS="$DEPENDS libwnck-dev GConf-dev dbus-dev cmake intltool \
+librsvg-dev libxslt-dev startup-notification-dev libboost-dev \
+libboost-math-dev libboost-serialization-dev glibmm-dev mesa-dev \
+file xorg-libXcomposite-dev xorg-libXrandr-dev xorg-libXinerama-dev"